Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class VariableElementHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ContentElementHandle
              org.eclipse.birt.report.model.api.VariableElementHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IVariableElementModel

    public class VariableElementHandle

extends ContentElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IVariableElementModel

Represents a variable.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IVariableElementModel
`TYPE_PROP, VALUE_PROP, VARIABLE_NAME_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`VariableElementHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a variable handle with the given design and the element.

Method Summary
`java.lang.String` | `getName()` Returns the name of this element.
`java.lang.String` | `getType()` Gets the value of work mode property.The return value is defined in `DesignChoiceConstants` and can be one of: `VARIABLE_TYPE_REPORT` `VARIABLE_TYPE_PAGE`
`java.lang.String` | `getValue()` Returns the value of the variable.
`java.lang.String` | `getVariableName()` Returns the name of the variable.
`void` | `setName(java.lang.String name)` Sets the name of this element.
`void` | `setType(java.lang.String workMode)` Sets the value of work mode property.
`void` | `setValue(java.lang.String value)` Sets the value of the variable.
`void` | `setVariableName(java.lang.String name)` Sets the name of the variable.

Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle
`addListener, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getPrivateStyle, getQualifiedName, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setStyle, setStyleName`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableElementHandle

    public VariableElementHandle(org.eclipse.birt.report.model.core.Module module,
                                 org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a variable handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getVariableName

    public java.lang.String getVariableName()

  Returns the name of the variable.

  Returns:
    the variable name

### setVariableName

    public void setVariableName(java.lang.String name)
                         throws SemanticException

  Sets the name of the variable.

  Parameters:
    `name` - the name to set
  Throws:
    `SemanticException`
  See Also:
    `getVariableName()`

### getValue

    public java.lang.String getValue()

  Returns the value of the variable.

  Returns:
    the variable value

### setValue

    public void setValue(java.lang.String value)
                  throws SemanticException

  Sets the value of the variable.

  Parameters:
    `value` - the value to set
  Throws:
    `SemanticException`

### getType

    public java.lang.String getType()

  Gets the value of work mode property.The return value is defined in `DesignChoiceConstants` and can be one of:
  - `VARIABLE_TYPE_REPORT`
  - `VARIABLE_TYPE_PAGE`

  Returns:
    the work mode property value.

### setType

    public void setType(java.lang.String workMode)
                 throws SemanticException

  Sets the value of work mode property. The value is defined in `DesignChoiceConstants` and can be one of:
  - `VARIABLE_TYPE_REPORT`
  - `VARIABLE_TYPE_PAGE`

  Parameters:
    `workMode` - the work mode property value.
  Throws:
    `SemanticException`

### getName

    public java.lang.String getName()

  Description copied from class: `DesignElementHandle`
  Returns the name of this element. Returns `null` if the element does not have a name. Many elements do not require a name. The name does not inherit. If this element does not have a name, it will not inherit the name of its parent element.

  Overrides:
    `getName` in class `ContentElementHandle`
  Returns:
    the element name, or null if the name is not set

### setName

    public void setName(java.lang.String name)
                 throws NameException

  Description copied from class: `DesignElementHandle`
  Sets the name of this element. If the name is `null`, then the name is cleared if this element does not require a name.

  Overrides:
    `setName` in class `ContentElementHandle`
  Parameters:
    `name` - the new name
  Throws:
    `NameException` - if the name is duplicate, or if the name is `null` and this element requires a name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.